#include <stdio.h>
#include "pw_check.h"

int main(int argc, char **argv) {
	if (argc < 2) {
		puts("cryptpw: missing operand\ncryptpw [password] [own salt]");
		return 0;
	}

	char *salt = NULL;
	if (argc > 2)
		salt = argv[2];

	char *cpass = enc_password("cryptpw", argv[1], salt);
	if (cpass == NULL)
		return 1;

	puts(cpass);
	return 0;
}
